import request from '@/utils/request'

// 查询旋转导向列表
export function listJtzjXzdx(query) {
  return request({
    url: '/jtzj/jtzjXzdx/list',
    method: 'get',
    params: query
  })
}

// 查询旋转导向详细
export function getJtzjXzdx(id) {
  return request({
    url: '/jtzj/jtzjXzdx/' + id,
    method: 'get'
  })
}

// 新增旋转导向
export function addJtzjXzdx(data) {
  return request({
    url: '/jtzj/jtzjXzdx',
    method: 'post',
    data: data
  })
}

// 修改旋转导向
export function updateJtzjXzdx(data) {
  return request({
    url: '/jtzj/jtzjXzdx',
    method: 'put',
    data: data
  })
}

// 删除旋转导向
export function delJtzjXzdx(id) {
  return request({
    url: '/jtzj/jtzjXzdx/' + id,
    method: 'delete'
  })
}
